VKBASALT-CLI(1)

NAME
vkbasalt-cli - CLI utility and library for vkBasalt configuration

SYNOPSIS
vkbasalt [OPTIONS]

DESCRIPTION
vkbasalt-cli is a CLI utility and library that works in conjunction with vkBasalt. It makes generating configuration files or running vkBasalt with games easier. This is mainly convenient in environments where integrating vkBasalt is wishful, for example a GUI application. Integrating vkbasalt-cli allows a front-end to easily generate and use specific configurations on the fly, without asking the user to manually write a configuration file.

OPTIONS

-h, --help
    Show this help message and exit.

-e, --effects {cas,dls,fxaa,smaa,lut} [{cas,dls,fxaa,smaa,lut} ...]
    Effects in a separated list of effect to use.

-o, --output OUTPUT
    Output file.

-d, --default
    Use default configuration.

--toggle-key TOGGLE_KEY
    Toggle key (default: Home).

--disable-on-launch
    Disable on launch.

--cas-sharpness CAS_SHARPNESS
    Adjust CAS sharpness.

--dls-sharpness DLS_SHARPNESS
    Adjust DLS sharpness.

--dls-denoise DLS_DENOISE
    Adjust DLS denoise.

--fxaa-subpixel-quality FXAA_SUBPIXEL_QUALITY
    Adjust FXAA subpixel quality.

--fxaa-quality-edge-threshold FXAA_QUALITY_EDGE_THRESHOLD
    Adjust FXAA quality edge threshold.

--fxaa-quality-edge-threshold-min FXAA_QUALITY_EDGE_THRESHOLD_MIN
    Adjust FXAA quality edge threshold minimum.

--smaa-edge-detection {luma,color}
    Adjust SMAA edge detection (default: luma).

--smaa-threshold SMAA_THRESHOLD
    Adjust SMAA threshold.

--smaa-max-search-steps SMAA_MAX_SEARCH_STEPS
    Adjust SMAA max search steps.

--smaa-max-search-steps-diagonal SMAA_MAX_SEARCH_STEPS_DIAGONAL
    Adjust SMAA max search steps diagonal.

--smaa-corner-rounding SMAA_CORNER_ROUNDING
    Adjust SMAA corner rounding.

--lut-file-path LUT_FILE_PATH
    Specify LUT file path.

--exec EXEC
    Execute command.

EXAMPLES
Apply CAS and FXAA filters; output to the current directory:

    vkbasalt --effects cas fxaa --output .

Apply CAS and FXAA filters; set CAS sharpness to 0.35; output to the current directory:

    vkbasalt --effects cas fxaa --cas-sharpness 0.35 --output .

Apply DLS and FXAA filters; set DLS sharpness to 1; output to ~/.config/vkBasalt:

    vkbasalt --effects dls fxaa --dls-sharpness 1 --output ~/.config/vkBasalt

Apply SMAA, DLS and CAS filters; set CAS sharpness to 1, DLS sharpness to 0.5 and DLS denoise to 0.75:

    vkbasalt --effects smaa dls cas --cas-sharpness 1 --dls-sharpness 0.5 --dls-denoise 0.75

SEE ALSO
vkBasalt(1)

vkBasalt project page: <https://github.com/DadSchoorse/vkBasalt>

AUTHOR
vkbasalt-cli was written by Hari Rana and contributors.

This manual page was generated from the README.md file for Debian packaging.